Project Chrono: chrono::vehicle::ManualTransmissionShafts Class Reference

Public Member Functions | List of all members
chrono::vehicle::ManualTransmissionShafts Class Reference
VEHICLE module » Powertrain system

## Description

Shafts-based automatic transmission subsystem (specified through JSON file).

`#include <ManualTransmissionShafts.h>`

Inheritance diagram for chrono::vehicle::ManualTransmissionShafts:
[legend]
Collaboration diagram for chrono::vehicle::ManualTransmissionShafts:
[legend]

## Public Member Functions
| ManualTransmissionShafts (const std::string &filename)
| ManualTransmissionShafts (const rapidjson::Document &d)
virtual void | SetGearRatios (std::vector< double > &fwd, double &rev) override
| Set the transmission gear ratios (one or more forward gear ratios and a single reverse gear ratio).
virtual double | GetTransmissionBlockInertia () const override
| Set inertia of the transmission block.
virtual double | GetIngearShaftInertia () const override
| Inertias of the component ChShaft objects.
virtual double | GetMotorshaftInertia () const override
| Inertia of the motorshaft (connection to engine).
virtual double | GetDriveshaftInertia () const override
| Inertia of the driveshaft (connection to driveline).
virtual double | GetClutchTorqueLimit () const override
| Maximum torque that the clutch can transmit without slipping.
Public Member Functions inherited from chrono::vehicle::ChManualTransmissionShafts
| ChManualTransmissionShafts (const std::string &name)
| Construct a shafts-based manual transmission model.
virtual std::string | GetTemplateName () const override
| Get the name of the vehicle subsystem template.
virtual bool | HasClutch () const override
| Return true if a clutch model is included.
virtual double | GetOutputDriveshaftTorque () const override
| Return the transmission output torque on the driveshaft.
virtual double | GetOutputMotorshaftSpeed () const override
| Return the transmission output speed of the motorshaft.

## Member Function Documentation

## ◆ GetClutchTorqueLimit()

virtual double chrono::vehicle::ManualTransmissionShafts::GetClutchTorqueLimit | ( |  | ) | const
| inlineoverridevirtual

Maximum torque that the clutch can transmit without slipping.

Implements chrono::vehicle::ChManualTransmissionShafts.

## ◆ GetDriveshaftInertia()

virtual double chrono::vehicle::ManualTransmissionShafts::GetDriveshaftInertia | ( |  | ) | const
| inlineoverridevirtual

Inertia of the driveshaft (connection to driveline).

Implements chrono::vehicle::ChManualTransmissionShafts.

## ◆ GetIngearShaftInertia()

virtual double chrono::vehicle::ManualTransmissionShafts::GetIngearShaftInertia | ( |  | ) | const
| inlineoverridevirtual

Inertias of the component ChShaft objects.

Implements chrono::vehicle::ChManualTransmissionShafts.

## ◆ GetMotorshaftInertia()

virtual double chrono::vehicle::ManualTransmissionShafts::GetMotorshaftInertia | ( |  | ) | const
| inlineoverridevirtual

Inertia of the motorshaft (connection to engine).

Implements chrono::vehicle::ChManualTransmissionShafts.

## ◆ GetTransmissionBlockInertia()

virtual double chrono::vehicle::ManualTransmissionShafts::GetTransmissionBlockInertia | ( |  | ) | const
| inlineoverridevirtual

Set inertia of the transmission block.

Implements chrono::vehicle::ChManualTransmissionShafts.

## ◆ SetGearRatios()

void chrono::vehicle::ManualTransmissionShafts::SetGearRatios | ( | std::vector< double > & | fwd,
|  | double & | rev )
| overridevirtual

Set the transmission gear ratios (one or more forward gear ratios and a single reverse gear ratio).

Implements chrono::vehicle::ChTransmission.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/powertrain/ManualTransmissionShafts.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/powertrain/ManualTransmissionShafts.cpp